Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1685251 - [abrt] gnome-control-center: strchr(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: strchr(): gnome-control-center killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c9a29d8ca2b62f24bea77ced5e6...
: 1691674 (view as bug list)
Depends On:
Blocks: F30BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2019-03-04 18:40 UTC by Alessio
Modified: 2019-04-22 15:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-22 15:49:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: cgroup (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: core_backtrace (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: cpuinfo (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: dso_list (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: environ (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: exploitable (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: limits (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: maps (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: mountinfo (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: open_fds (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details
File: proc_pid_status (deleted)
2019-03-04 18:40 UTC, Alessio
no flags Details

Description Alessio 2019-03-04 18:40:22 UTC
Description of problem:
Trying to add a new language

Version-Release number of selected component:
gnome-control-center-3.31.90-2.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        gnome-control-center sharing
crash_function: strchr
executable:     /usr/bin/gnome-control-center
journald_cursor: s=074b51f08800439b8345ff238d5de00b;i=a28;b=f94e3e05eed94545aaab6ed0363e64bf;m=7eb0bfb;t=58348d77a1c10;x=49a4a6ba3dade3bc
kernel:         5.0.0-0.rc8.git0.1.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1667114

Comment 1 Alessio 2019-03-04 18:40:24 UTC
Created attachment 1540682 [details]
File: backtrace

Comment 2 Alessio 2019-03-04 18:40:24 UTC
Created attachment 1540683 [details]
File: cgroup

Comment 3 Alessio 2019-03-04 18:40:25 UTC
Created attachment 1540684 [details]
File: core_backtrace

Comment 4 Alessio 2019-03-04 18:40:26 UTC
Created attachment 1540685 [details]
File: cpuinfo

Comment 5 Alessio 2019-03-04 18:40:26 UTC
Created attachment 1540686 [details]
File: dso_list

Comment 6 Alessio 2019-03-04 18:40:27 UTC
Created attachment 1540687 [details]
File: environ

Comment 7 Alessio 2019-03-04 18:40:28 UTC
Created attachment 1540688 [details]
File: exploitable

Comment 8 Alessio 2019-03-04 18:40:28 UTC
Created attachment 1540689 [details]
File: limits

Comment 9 Alessio 2019-03-04 18:40:29 UTC
Created attachment 1540690 [details]
File: maps

Comment 10 Alessio 2019-03-04 18:40:30 UTC
Created attachment 1540691 [details]
File: mountinfo

Comment 11 Alessio 2019-03-04 18:40:30 UTC
Created attachment 1540692 [details]
File: open_fds

Comment 12 Alessio 2019-03-04 18:40:31 UTC
Created attachment 1540693 [details]
File: proc_pid_status

Comment 13 Alessio 2019-03-04 18:42:48 UTC
Description of problem:

g-c-c crash when adding a new language

Version-Release number of selected component (if applicable):

Fedora-Workstation-Live-x86_64-30-20190301.n.0.iso
gnome-control-center-3.31.90-2.fc30.x86_64


Steps to Reproduce:
1. Settings
2. Region & Language
3. Language (English USA was selected during installation)
4. Scroll down and click on the three vertical dots
5. Start typing a language (eg: i)
6. crash

Actual results:

In journalctl I can see:
Mar 04 13:30:07 host-172-16-0-3 kernel: gnome-control-c[3194]: segfault at 0 ip 00007f6192459347 sp 00007ffc7de78ad8 error 4 in libc-2.29.so[7f61923e2000+14d000]

A side note: cannot report the crash via abrt,

Comment 14 Alessio 2019-03-04 20:03:48 UTC
(In reply to Alessio from comment #13)
> 
> A side note: cannot report the crash via abrt,

This afternoon I was not able to report it via abrt on another installation.

Comment 15 Alessio 2019-03-07 14:28:05 UTC
The problem is still here even with the gnome updates landed today.

Comment 16 Adam Williamson 2019-03-25 16:36:26 UTC
*** Bug 1691674 has been marked as a duplicate of this bug. ***

Comment 17 Michael Catanzaro 2019-03-25 22:00:11 UTC
Problem in language_visible() is that Esperanto doesn't have a country code:

        language =
                cc_util_normalize_casefold_and_unaccent (g_object_get_data (G_OBJECT (row), "language"));
        visible = match_all (chooser->filter_words, language);

Should be:

        visible = language ? match_all (chooser->filter_words, language) : FALSE;

The final line of the function will need a similar fix.

Comment 19 Julen Landa Alustiza 2019-04-22 14:32:09 UTC
The PR looks fine, +1 FE ar least. Blocker, if it just affects esperanto i would not consider it blocker, +1b if it affects a wider and more common locale settings

Comment 20 Michael Catanzaro 2019-04-22 15:49:38 UTC
Looks like this affected anyone searching for any language, due to the presence of Esperanto in the list of languages. But it should already be fixed by FEDORA-2019-140837afbb.


Note You need to log in before you can comment on or make changes to this bug.